libosmoisdn 1.13.1.1-afb4 Osmocom ISDN library

Data Fields
lapd_msg_ctx Struct Reference
LAPD implementation common part

LAPD message context. More...

`#include <lapd_core.h>`

## Data Fields
struct lapd_datalink * | dl
int | n201
uint8_t | cr
uint8_t | sapi
uint8_t | tei
uint8_t | lpd
uint8_t | format
uint8_t | p_f
uint8_t | n_send
uint8_t | n_recv
uint8_t | s_u
int | length
uint8_t | more

## Detailed Description

LAPD message context.

## Field Documentation

## ◆ cr

uint8_t lapd_msg_ctx::cr

Referenced by lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_disc(), lapd_rx_u_dm(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), and lapd_udata_req().

## ◆ dl

struct lapd_datalink* lapd_msg_ctx::dl

Referenced by lapd_acknowledge(), lapd_data_req(), lapd_est_req(), lapd_ph_data_ind(), lapd_ph_rts_ind(), lapd_recv_dlsap(), lapd_rel_req(), lapd_rel_req_idle(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u(), lapd_rx_u_disc(), lapd_rx_u_dm(), lapd_rx_u_frmr(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_susp_req(), lapd_t200_cb(), lapd_udata_req(), mdl_error(), msg_to_tx_hist0(), and send_dl_l3().

## ◆ format

uint8_t lapd_msg_ctx::format

Referenced by lapd_acknowledge(), lapd_est_req(), lapd_ph_data_ind(), lapd_rel_req(), lapd_res_req(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), and lapd_udata_req().

## ◆ length

int lapd_msg_ctx::length

Referenced by lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_disc(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), lapd_udata_req(), and msg_to_tx_hist().

## ◆ lpd

uint8_t lapd_msg_ctx::lpd

## ◆ more

uint8_t lapd_msg_ctx::more

Referenced by lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_disc(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), lapd_udata_req(), and msg_to_tx_hist().

## ◆ n201

int lapd_msg_ctx::n201

Referenced by lapd_rx_i(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), and lapd_send_i().

## ◆ n_recv

uint8_t lapd_msg_ctx::n_recv

Referenced by lapd_acknowledge(), lapd_rx_s(), lapd_send_i(), lapd_send_rej(), lapd_send_rnr(), lapd_send_rr(), and lapd_t200_cb().

## ◆ n_send

uint8_t lapd_msg_ctx::n_send

Referenced by lapd_rx_i(), lapd_send_i(), and lapd_t200_cb().

## ◆ p_f

uint8_t lapd_msg_ctx::p_f

Referenced by lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_dm(), lapd_rx_u_ua(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), and lapd_t200_cb().

## ◆ s_u

uint8_t lapd_msg_ctx::s_u

Referenced by lapd_acknowledge(), lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_s(), lapd_rx_u(), lapd_send_dm(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), and lapd_udata_req().

## ◆ sapi

uint8_t lapd_msg_ctx::sapi

Referenced by lapd_rx_i().

## ◆ tei

uint8_t lapd_msg_ctx::tei

The documentation for this struct was generated from the following file:

- include/osmocom/isdn/lapd_core.h